Package org.springframework.security.config.annotation.rsocket

# Class RSocketSecurity.AuthorizePayloadsSpec.Access

java.lang.Object
org.springframework.security.config.annotation.rsocket.RSocketSecurity.AuthorizePayloadsSpec.Access

Enclosing class:
  RSocketSecurity.AuthorizePayloadsSpec

public final class RSocketSecurity.AuthorizePayloadsSpec.Access extends Object

## Method Summary

Modifier and Type
Method
Description
`RSocketSecurity.AuthorizePayloadsSpec`
`access(org.springframework.security.authorization.ReactiveAuthorizationManager<org.springframework.security.rsocket.util.matcher.PayloadExchangeAuthorizationContext> authorization)`
`RSocketSecurity.AuthorizePayloadsSpec`
`authenticated()`
`RSocketSecurity.AuthorizePayloadsSpec`
`denyAll()`
`RSocketSecurity.AuthorizePayloadsSpec`
`hasAnyAuthority(String... authorities)`
`RSocketSecurity.AuthorizePayloadsSpec`
`hasAnyRole(String... roles)`
`RSocketSecurity.AuthorizePayloadsSpec`
`hasAuthority(String authority)`
`RSocketSecurity.AuthorizePayloadsSpec`
`hasRole(String role)`
`RSocketSecurity.AuthorizePayloadsSpec`
`permitAll()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticated

public RSocketSecurity.AuthorizePayloadsSpec authenticated()

### hasAuthority

public RSocketSecurity.AuthorizePayloadsSpec hasAuthority(String authority)

### hasRole

public RSocketSecurity.AuthorizePayloadsSpec hasRole(String role)

### hasAnyRole

public RSocketSecurity.AuthorizePayloadsSpec hasAnyRole(String... roles)

### permitAll

public RSocketSecurity.AuthorizePayloadsSpec permitAll()

### hasAnyAuthority

public RSocketSecurity.AuthorizePayloadsSpec hasAnyAuthority(String... authorities)

### access

public RSocketSecurity.AuthorizePayloadsSpec access(org.springframework.security.authorization.ReactiveAuthorizationManager<org.springframework.security.rsocket.util.matcher.PayloadExchangeAuthorizationContext> authorization)

### denyAll

public RSocketSecurity.AuthorizePayloadsSpec denyAll()